### org.jfree.layouting.renderer.process

# Class SimplePaginationStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateVisualProcessStep`
  - - `org.jfree.layouting.renderer.process.SimplePaginationStep`

`public class SimplePaginationStep`
`extends IterateVisualProcessStep`

Computes the pagination for streaming outputs. The only real purpose of this class is to rearrange the tables so that the header-body-footer order is maintained. This step ignores the pageformat and does not check for pagebreaks or page overflows.

Todo: This class needs some serious attention later.

Author:
  Thomas Morgner

  ## Constructor Summary

  `SimplePaginationStep()`

  ## Method Summary

  `protected void`

  `finishLine(ParagraphPoolBox inlineRenderBox)`

  `void`

  `performPagebreak(LogicalPageBox pageBox)`

  `protected void`

  `processBlockLevelChild(RenderNode node)`

  `protected void`

  `processBlockLevelNode(RenderNode node)`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `protected void`

  `processTable(TableRenderBox table)`

  `protected boolean`

  `startBlockLevelBox(RenderBox box)`

  `protected boolean`

  `startInlineLevelBox(RenderBox box)`

  `protected boolean`

  `startLine(ParagraphPoolBox box)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

  `finishBlockLevelBox`, `finishInlineLevelBox`, `processBlockLevelChild`, `processBlockLevelNode`, `processBoxChilds`, `processFlow`, `processInlineLevelChild`, `processInlineLevelNode`, `processOtherLevelChild`, `processParagraphChilds`, `startBlockLevelBox`, `startInlineLevelBox`, `startProcessing`

## Constructor Details

### SimplePaginationStep

    public SimplePaginationStep()

## Method Details

### finishLine

    protected void finishLine(ParagraphPoolBox inlineRenderBox)

### performPagebreak

    public void performPagebreak(LogicalPageBox pageBox)

### processBlockLevelChild

    protected void processBlockLevelChild(RenderNode node)

> Overrides:
>   processBlockLevelChild in interface IterateVisualProcessStep

### processBlockLevelNode

    protected void processBlockLevelNode(RenderNode node)

> Overrides:
>   processBlockLevelNode in interface IterateVisualProcessStep

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

> Overrides:
>   processParagraphChilds in interface IterateVisualProcessStep

### processTable

    protected void processTable(TableRenderBox table)

### startBlockLevelBox

    protected boolean startBlockLevelBox(RenderBox box)

> Overrides:
>   startBlockLevelBox in interface IterateVisualProcessStep

### startInlineLevelBox

    protected boolean startInlineLevelBox(RenderBox box)

> Overrides:
>   startInlineLevelBox in interface IterateVisualProcessStep

### startLine

    protected boolean startLine(ParagraphPoolBox box)